=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR lomiri_addressbook_app)

execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
    install(DIRECTORY ${AUTOPILOT_DIR}
        DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif()

set(AUTOPILOT_ENV "AUTOPILOT_APP=${lomiri-addressbook-app_BINARY_DIR}/lomiri-addressbook-app\;QTCONTACTS_MANAGER_OVERRIDE=memory")
declare_autopilot_test(${AUTOPILOT_ENV}
                       lomiri_addressbook_app
                       ${CMAKE_CURRENT_SOURCE_DIR})
