=== src/imports/Lomiri/CMakeLists.txt ===
add_custom_target(copyqmlfiles)

add_subdirectory(Contacts)
add_subdirectory(AddressBook)
