=== debian/changelog ===
lomiri-addressbook-app (0.9.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch. Hide app if not on Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:43:56 +0100

lomiri-addressbook-app (0.9.0-3) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jan 2025 17:54:55 +0100

lomiri-addressbook-app (0.9.0-2) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086493).

  * debian/control:
    + Drop hard-wired dependency on libqt5contacts5a and libqt5versit5a. Should
      be provided via ${shlibs:Depends}.
    + Add to D: (qml-module-lomiri-contacts): qml-module-buteo-syncfw.
    + Adjust R:/S: for LOA components.
  * debian/rules:
    + Build with -DENABLE_AUTOPILOT=OFF.
  * debian/patches:
    + Amend 0107-Restore-qtcontacts-sqlite-new-backend.patch. Set service-type
      if to google-contacts (not buteo-contacts) in .application file.
  * debian/copyright:
    + Mention more patch authors as copyright holders for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2025 14:43:26 +0100

lomiri-addressbook-app (0.9.0-1) REJECTED; urgency=medium

  * Initial upload to Debian. (Closes: #1086493).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Oct 2024 10:34:00 +0100
