=== debian/control ===
Source: lomiri-addressbook-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 dbus,
 debhelper-compat (= 13),
 dh-apparmor,
 libgl-dev,
 libgles2-mesa-dev,
 libqofono-dev,
 libqofono-qt5-0,
 lsb-release,
 pkgconf,
 qml-module-qt-labs-platform,
 qml-module-qtcontacts,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-qttest,
 qml-module-buteo-profiles (>= 0.11.6),
 qml-module-gsettings1.0,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-lomiri-test,
 qml-module-lomiri-onlineaccounts,
 qml-module-sso-onlineaccounts,
 qml-module-ofono (>= 0.117),
 lomiri-ui-toolkit-theme,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-dev-tools,
 qtpim5-dev,
 lomiri-thumbnailer-service,
 xauth,
 xvfb,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-addressbook-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-addressbook-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-addressbook-app

Package: lomiri-addressbook-app
Architecture: any
Depends:
 lomiri-indicator-transfer-buteo,
 qml-module-ofono (>=0.117~),
 qml-module-qt-labs-platform,
 qml-module-qtcontacts,
 qml-module-qtquick2,
 qml-module-qtsysteminfo (>= 5.0~),
 libqt5contact5-plugin-sqlite,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook (= ${binary:Version}),
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-sso-onlineaccounts,
 lomiri-ui-toolkit-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri-online-accounts-plugin-nextcloud-carddav,
 lomiri-online-accounts-plugin-owncloud-carddav,
Suggests:
 lomiri-online-acconts-plugin-google,
Description: Address Book App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Address Book App.

Package: qml-module-lomiri-contacts
Architecture: any
Depends:
 qml-module-qtcontacts,
 qml-module-qtquick2,
 qml-module-lomiri-components,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-onlineaccounts-client,
 qml-module-buteo-syncfw,
 qml-module-buteo-profiles (>= 0.11.6),
 suru-icon-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt Lomiri Contacts Components - QML plugin
 Qt Lomiri Contacts Components offers a set of reusable user interface
 related with contacts for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Contacts Components QML plugin.

Package: qml-module-lomiri-addressbook
Architecture: any
Depends:
 qml-module-lomiri-contacts (= ${binary:Version}),
 qml-module-lomiri-content,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt Lomiri Address Book Components - QML plugin
 Qt Lomiri Address Book Components offers a set of reusable user interface
 related with address book for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Address Book Components QML plugin.
