=== click/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,6 @@
             DESTINATION ${CMAKE_INSTALL_PREFIX})
 else(CLICK_MODE)
     install(FILES lomiri-addressbook-content.json
-            DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers
             RENAME lomiri-addressbook-app)
 endif(CLICK_MODE)
