=== src/CMakeLists.txt ===
project(lomiri-addressbook-app-src)

add_subdirectory(artwork)
add_subdirectory(imports)
add_subdirectory(app)
