=== src/artwork/CMakeLists.txt ===
set(ADDRESS_BOOK_APP_ARTWORK
    lomiri-addressbook-app.svg
    lomiri-addressbook-app-splash.svg
    lomiri-addressbook-app-symbolic.svg
    lomiri-addressbook-app-preview.png
    birthday-cake.svg
    import-image.svg
    protocol-aim.svg
    protocol-facebook.svg
    protocol-icq.svg
    protocol-jabber.svg
    protocol-msn.svg
    protocol-other.svg
    protocol-qq.svg
    protocol-skype.svg
    protocol-twitter.svg
    protocol-yahoo.svg
)

install(FILES ${ADDRESS_BOOK_APP_ARTWORK}
    DESTINATION ${ADDRESS_BOOK_APP_DIR}/artwork
)
