=== src/imports/Lomiri/AddressBook/CMakeLists.txt ===
add_subdirectory(Base)
add_subdirectory(ContactEditor)
add_subdirectory(ContactView)
add_subdirectory(ContactShare)
