=== debian/changelog ===
lomiri-addressbook-app (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001, 0002, 0004, 0005, 0102, 0112, 0113, 0117, 0121, 0122,
      0127, 0128 and 1001. All applied upstream. Rebase patches 0107 and 0111.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 13:16:54 +0200
