=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  lomiri-thumbnailer-service,
  xauth,
  xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-addressbook-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-addressbook-app.git
