=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_AUTOPILOT=OFF \
	                     $(NULL)

override_dh_auto_install:
	dh_auto_install
	dh_apparmor -plomiri-addressbook-app --profile-name=lomiri-addressbook-app

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
